Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class VerifierCodeVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.classgen.VerifierCodeVisitor

All Implemented Interfaces:
  org.objectweb.asm.Opcodes

    class VerifierCodeVisitor
    extends CodeVisitorSupport

Verifies the method code

author:
  James Strachan

version:
  $Revision: 12393 $

Constructor Summary
`VerifierCodeVisitor(Verifier verifier)`

Method Summary
`static void` | `assertValidIdentifier(String name, String message, ASTNode node)`
`void` | `visitBinaryExpression(BinaryExpression expression)`
`void` | `visitFieldExpression(FieldExpression expression)`
`void` | `visitForLoop(ForStatement expression)`
`void` | `visitListExpression(ListExpression expression)`
`void` | `visitMethodCallExpression(MethodCallExpression call)`
`void` | `visitPropertyExpression(PropertyExpression expression)`
`void` | `visitVariableExpression(VariableExpression expression)`

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### VerifierCodeVisitor

    public VerifierCodeVisitor(Verifier verifier)

Method Detail

### assertValidIdentifier

    public static void assertValidIdentifier(String name, String message, ASTNode node)

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression expression)

### visitFieldExpression

    public void visitFieldExpression(FieldExpression expression)

### visitForLoop

    public void visitForLoop(ForStatement expression)

### visitListExpression

    public void visitListExpression(ListExpression expression)

### visitMethodCallExpression

    public void visitMethodCallExpression(MethodCallExpression call)

### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression expression)

### visitVariableExpression

    public void visitVariableExpression(VariableExpression expression)

Copyright © 2003-2009 The Codehaus. All rights reserved.